%define libname %mklibname spreadsheet %version
%define develname %mklibname -d spreadsheet
%define goffice %(rpm -q --queryformat %%{VERSION} goffice)

%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define goffice_patch_ver %(echo %{version}|cut -d. -f3)

Name:		gnumeric
Summary:	A full-featured spreadsheet for GNOME
Version:	1.12.34
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Spreadsheet
URL:		http://www.gnome.org/projects/gnumeric/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gnumeric-1.9.17-format-strings.patch
Patch2:		gnumeric-1.12.32-fix-desktop-file.patch
# (fc) 1.9.3-4mdv fix CVE-2009-0318
Patch5:		gnumeric-1.8.2-CVE-2009-0318-rh.patch
Requires:	%libname = %version

BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:	pkgconfig(libgoffice-0.10) >= 0.10.%{goffice_patch_ver}
BuildRequires:	pkgconfig(libgsf-1) >= 1.14.24
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires:	pkgconfig(pango) >= 1.24.0
BuildRequires:	pkgconfig(pangocairo) >= 1.24.0
BuildRequires:	pkgconfig(pxlib) >= 0.4.0
BuildRequires:	pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires:	perl-devel
BuildRequires:	scrollkeeper
BuildRequires:	itstool
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils
BuildRequires:	bison

%description
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%package -n %libname
Summary:	Spreadsheet library from Gnumeric
Group:		System/Libraries

%description -n %libname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%package -n %develname
Summary:	Spreadsheet library from Gnumeric - development files
Group:		Development/C
Requires:	%libname = %{version}
Provides:	libspreadsheet-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n %develname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --enable-ssindex
%make_build

%install
%make_install

rm -vf %{buildroot}%{_datadir}/%{name}/%{version}/perl/*/auto/Gnumeric/.packlist
rm -rf %{buildroot}/var

find %{buildroot} -name '*.la' -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Science" \
  --remove-category="Math" \
  --remove-category="Application" \
  --remove-mime-type="zz-application/zz-winassoc-xls" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome --with-help --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS BUGS README
%{_bindir}/*
%{_libdir}/goffice/*/plugins/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man1/*
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.xml
%{_datadir}/appdata/%{name}.appdata.xml

%files -n %libname
%{_libdir}/libspreadsheet-%{version}.so

%files -n %develname
%{_libdir}/libspreadsheet.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libspreadsheet-*


%changelog
* Tue Apr 25 2017 akien <akien> 1.12.34-1.mga6
+ Revision: 1097397
- Fix help files packaging

  + ovitters <ovitters>
    - new version 1.12.34
    - new version 1.12.33

* Tue Oct 11 2016 pterjan <pterjan> 1.12.32-3.mga6
+ Revision: 1060192
- Rebuild some recently rejected packages, some were due to a bug in the build system

* Fri Oct 07 2016 ovitters <ovitters> 1.12.32-2.mga6
+ Revision: 1059470
- new version 1.12.32

* Mon Jun 27 2016 ovitters <ovitters> 1.12.30-1.mga6
+ Revision: 1037930
- new version 1.12.30

* Sat May 07 2016 ovitters <ovitters> 1.12.29-1.mga6
+ Revision: 1010105
- new version 1.12.29

* Wed Mar 23 2016 ovitters <ovitters> 1.12.28-1.mga6
+ Revision: 994226
- new version 1.12.28

* Mon Feb 15 2016 pterjan <pterjan> 1.12.27-1.mga6
+ Revision: 960502
- Add missing BuildRequires

  + ovitters <ovitters>
    - new version 1.12.27

* Mon Dec 28 2015 ovitters <ovitters> 1.12.26-1.mga6
+ Revision: 916647
- new version 1.12.26

* Fri Dec 25 2015 ovitters <ovitters> 1.12.25-1.mga6
+ Revision: 914655
- new version 1.12.25

* Wed Oct 14 2015 ovitters <ovitters> 1.12.24-1.mga6
+ Revision: 891146
- new version 1.12.24

* Wed Jul 29 2015 ovitters <ovitters> 1.12.23-1.mga6
+ Revision: 858803
- new version 1.12.23

* Fri Jun 26 2015 tv <tv> 1.12.22-2.mga6
+ Revision: 844618
- rebuild for perl-5.22

* Sat Jun 20 2015 ovitters <ovitters> 1.12.22-1.mga6
+ Revision: 836375
- new version 1.12.22

* Thu Feb 05 2015 ovitters <ovitters> 1.12.20-1.mga5
+ Revision: 813521
- new version 1.12.20

* Sun Jan 25 2015 ovitters <ovitters> 1.12.19-1.mga5
+ Revision: 812215
- new version 1.12.19

* Wed Oct 15 2014 umeabot <umeabot> 1.12.18-2.mga5
+ Revision: 747124
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 1.12.18-1.mga5
+ Revision: 732528
- new version 1.12.18

* Tue Sep 16 2014 umeabot <umeabot> 1.12.17-2.mga5
+ Revision: 679825
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 ovitters <ovitters> 1.12.17-1.mga5
+ Revision: 635308
- new version 1.12.17

* Mon May 26 2014 fwang <fwang> 1.12.16-1.mga5
+ Revision: 626574
- 1.12.16

* Thu May 01 2014 ovitters <ovitters> 1.12.15-1.mga5
+ Revision: 619121
- new version 1.12.15

* Sun Apr 13 2014 ovitters <ovitters> 1.12.14-1.mga5
+ Revision: 613897
- new version 1.12.14

* Tue Mar 18 2014 ovitters <ovitters> 1.12.13-1.mga5
+ Revision: 605196
- new version 1.12.13

* Tue Mar 04 2014 ovitters <ovitters> 1.12.12-1.mga5
+ Revision: 599246
- new version 1.12.12

* Sun Feb 16 2014 ovitters <ovitters> 1.12.11-1.mga5
+ Revision: 592809
- new version 1.12.11

* Wed Feb 12 2014 fwang <fwang> 1.12.10-1.mga5
+ Revision: 589598
- raise build requires

  + ovitters <ovitters>
    - new version 1.12.10

* Fri Nov 29 2013 ovitters <ovitters> 1.12.9-1.mga4
+ Revision: 554018
- new version 1.12.9

* Mon Oct 21 2013 umeabot <umeabot> 1.12.8-2.mga4
+ Revision: 539703
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 1.12.8-1.mga4
+ Revision: 492813
- new version 1.12.8

* Sun Sep 01 2013 ovitters <ovitters> 1.12.7-1.mga4
+ Revision: 474165
- new version 1.12.7

* Wed Aug 28 2013 ovitters <ovitters> 1.12.6-1.mga4
+ Revision: 472479
- new version 1.12.6

* Tue Aug 20 2013 fwang <fwang> 1.12.5-1.mga4
+ Revision: 468030
- new version 1.12.5

* Mon Jul 15 2013 ovitters <ovitters> 1.12.4-1.mga4
+ Revision: 454408
- new version 1.12.4

* Wed Jun 26 2013 fwang <fwang> 1.12.3-1.mga4
+ Revision: 446709
- new version 1.12.3

* Thu May 30 2013 dams <dams> 1.12.2-1.mga4
+ Revision: 433234
- new version 1.12.2
- remove 'automake' and 'gda' patches
- update/clean specfile

* Wed May 29 2013 tv <tv> 1.12.0-5.mga4
+ Revision: 430246
- rebuild for new perl

* Fri Jan 18 2013 fwang <fwang> 1.12.0-4.mga3
+ Revision: 389274
- disable gda 4.0 req

* Sat Jan 12 2013 umeabot <umeabot> 1.12.0-3.mga3
+ Revision: 352364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.12.0-2.mga3
+ Revision: 339180
- patch6: list testcases in test/Makefile.am to fix build with automake 1.13

* Wed Dec 19 2012 fwang <fwang> 1.12.0-1.mga3
+ Revision: 332752
- bump req

  + ovitters <ovitters>
    - new version 1.12.0

* Sat Nov 17 2012 ovitters <ovitters> 1.11.90-1.mga3
+ Revision: 319029
- new version 1.11.90

* Thu Nov 08 2012 fwang <fwang> 1.11.6-2.mga3
+ Revision: 316369
- update rpm group

* Fri Sep 07 2012 fwang <fwang> 1.11.6-1.mga3
+ Revision: 289065
- bump goffice req

  + ovitters <ovitters>
    - new version 1.11.6

* Mon Jul 16 2012 ovitters <ovitters> 1.11.5-1.mga3
+ Revision: 271173
- new version 1.11.5

* Tue Jun 26 2012 fwang <fwang> 1.11.4-1.mga3
+ Revision: 263803
- update br

  + ovitters <ovitters>
    - new version 1.11.4

* Sun Apr 22 2012 ovitters <ovitters> 1.11.3-1.mga2
+ Revision: 232494
- new version 1.11.3
- fix source url

  + fwang <fwang>
    - drop unused switch

* Sat Mar 03 2012 fwang <fwang> 1.11.2-1.mga2
+ Revision: 217092
- update br
- br gettex
- new version 1.11.2
- new version 1.11.2

* Mon Nov 28 2011 fwang <fwang> 1.11.1-1.mga2
+ Revision: 173517
- bump go req
- new version 1.11.1

* Sat Nov 26 2011 fwang <fwang> 1.11.0-1.mga2
+ Revision: 171999
- cleanup spec file
- add embedder from git
- new version 1.11.0

* Wed Sep 21 2011 fwang <fwang> 1.10.17-2.mga2
+ Revision: 146274
- drop .la files
- br perl-devel
- new version 1.10.17

* Fri Jun 24 2011 cjw <cjw> 1.10.16-1.mga2
+ Revision: 113183
- patch6: fix build

  + dmorgan <dmorgan>
    - Rebuild against new goffice

  + tmb <tmb>
    - rebuild for goffice 0.8.16

  + fwang <fwang>
    - new version 1.10.16

* Sun May 15 2011 pterjan <pterjan> 1.10.14-2.mga1
+ Revision: 98929
- Rebuild for fixed find-requires

* Fri Apr 15 2011 dams <dams> 1.10.14-1.mga1
+ Revision: 85553
- update to 1.10.14

* Thu Apr 14 2011 dams <dams> 1.10.13-2.mga1
+ Revision: 85215
+ rebuild (emptylog)

* Thu Feb 24 2011 ennael <ennael> 1.10.13-1.mga1
+ Revision: 59114
- clean spec file
- imported package gnumeric

